## Intelligent Water Drops Algorithm

A natural river often finds good paths among lots of possible paths in its ways from
the source to destination. These near optimal or optimal paths are obtained by the actions and
reactions that occur among the water drops and the water drops with the riverbeds. The intelligent
water drops (IWD) algorithm is a new swarm-based optimisation algorithm inspired from
observing natural water drops that flow in rivers. In this paper, the IWD algorithm is tested to
find solutions of the n-queen puzzle with a simple local heuristic. The travelling salesman
problem (TSP) is also solved with a modified IWD algorithm. Moreover, the IWD algorithm is
tested with some more multiple knapsack problems (MKP) in which near-optimal or optimal
solutions are obtained.


See here: [The intelligent water drops algorithm](https://pdfs.semanticscholar.org/9d61/b5d40f561a08657e75350c58a0e842be00c7.pdf)

## Installation

Clone the repository and install using:

```python3 setup.py install```

**or**

Using pip install:

```pip install intelligent_water_droplet```

### Usage

---

### Dependencies
* numpy

### License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details
